import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router';
import { Views, Common } from 'noob-mengyxu';
import Home from '../view/home.vue';
import Table from '../view/base/table.vue';
import Form from '../view/base/form.vue';
import Terminal from '../view/tool/terminal.vue';
import Color from '../view/tool/color.vue';

const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    redirect: '/home',
  },
  {
    path: '/home',
    name: 'home',
    component: Home,
  },
  {
    path: '/login',
    name: 'login',
    component: Common.Login2,
  },
  {
    path: '/table',
    name: 'table',
    component: Table,
  },
  {
    path: '/form',
    name: 'form',
    component: Form,
  },
  {
    path: '/terminal',
    name: 'terminal',
    component: Terminal,
  },
  {
    path: '/color',
    name: 'color',
    component: Color,
  },
];

Views.routes.forEach((item) => {
  routes.push(item);
});

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
