import { createApp } from 'vue';
import App from './App.vue';
import router from './config/router';
import store from './store';

import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import zhCn from 'element-plus/es/locale/lang/zh-cn';
import * as ElementPlusIconsVue from '@element-plus/icons-vue';

const app = createApp(App);
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component);
}
app.use(ElementPlus, { size: 'default', locale: zhCn });

import i18n from './config/language';
app.use(i18n);
app.use(store).use(router).mount('#app');
