import { get, post, put, delate } from '../http/axios';
import { PageResult } from '../constant';
const pageResult = new PageResult();

export const queryPage = (url, example) => {
  return new Promise((resolve, reject) => {
    get(url, example).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve(pageResult);
        }
      },
      (err) => {
        resolve(pageResult);
      }
    );
  });
};

export const queryList = (url, example?) => {
  return new Promise((resolve, reject) => {
    get(url, example).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve([]);
        }
      },
      (err) => {
        resolve([]);
      }
    );
  });
};

export const getById = (url, id) => {
  return new Promise((resolve, reject) => {
    get(url + '/' + id).then(
      (rsp: any) => {
        resolve(rsp || {});
      },
      (err) => {
        resolve({});
      }
    );
  });
};

export const save = (url, role) => {
  return new Promise((resolve, reject) => {
    post(url, role).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve(false);
        }
      },
      (err) => {
        resolve(false);
      }
    );
  });
};

export const update = (url, role) => {
  return new Promise((resolve, reject) => {
    put(url, role).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve(false);
        }
      },
      (err) => {
        resolve(false);
      }
    );
  });
};

export const deleteById = (url, id) => {
  return new Promise((resolve, reject) => {
    delate(url + '/' + id).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve(false);
        }
      },
      (err) => {
        resolve(false);
      }
    );
  });
};
