import { get, post, put, delate } from '../http/axios';
const urls = {
  dict: 'public/dict',
  info: 'public/info',
  login: 'public/login',
  logout: 'public/logout',
  menu: 'public/menu',
};

export const getByCodes = (codes) => {
  return new Promise((resolve, reject) => {
    get(urls.dict, codes).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve(false);
        }
      },
      (err) => {
        resolve(false);
      }
    );
  });
};

export const getInfo = () => {
  return new Promise((resolve, reject) => {
    get(urls.info, null, true, true).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve(false);
        }
      },
      (err) => {
        resolve(false);
      }
    );
  });
};

export const login = (user) => {
  return new Promise((resolve, reject) => {
    post(urls.login, user).then(
      (rsp: any) => {
        resolve(rsp);
      },
      (err) => {
        resolve(false);
      }
    );
  });
};

export const logout = () => {
  return new Promise((resolve, reject) => {
    put(urls.logout).then(
      (rsp: any) => {
        resolve(rsp);
      },
      (err) => {
        resolve(false);
      }
    );
  });
};

export const getMenus = () => {
  return new Promise((resolve, reject) => {
    get(urls.menu, null, true, true).then(
      (rsp: any) => {
        if (rsp) {
          resolve(rsp);
        } else {
          resolve([]);
        }
      },
      (err) => {
        resolve([]);
      }
    );
  });
};
