export default class English {
  title = 'XXX SYSTEM';

  base = {
    color: 'Color',
    add: 'Add',
    delete: 'Delete',
    modify: 'Modify',
    stop: 'Stop',
    select: 'Select',
    refresh: 'Refresh',
    save: 'Save',
    confirm: 'Confirm',
    cancel: 'Cancel',
    loading: 'Loading...',
    active: 'Active',
    inactive: 'Inactive',
    key: 'Key',
    value: 'Value',
    import: 'Import',
    export: 'Export',
  };

  pwd = {
    login: 'login',
    userId: 'User name',
    changePwd: 'Change password',
    pwd: 'Password',
    oldPwd: 'Old password',
    newPwd: 'New password',
    rePwd: 'Repeat password',
    plsRePwd: 'Please enter the new password again',
    rePwdError: 'The password is entered twice inconsistently',
    length: 'The password length is: {0}~{1} characters',
    noSpace: 'The password cannot contain spaces',
    required: 'The password contains at least uppercase and lowercase letters and numbers',
  };

  styles = ['Default', 'Lignt', 'Dark', 'DefaultB'];

  head = {
    center: 'Personal center',
    logout: 'Logout',
    fullScreen: 'Toggle full screen',
    changeStyle: 'Switch themes',
    language: 'Language',
    zh: 'Chinese',
    en: 'English',
    size: 'Size',
    normal: 'Normal',
    small: 'Small',
    large: 'Large',
  };

  tool = {
    colorCpar: 'Color Comparator',
    connect: 'Desperately connected',
  };

  rule = {
    pleaseEnter: 'Please enter ',
    notNull: 'There cannot be empty',
    pleaseSelect: 'Please select',
    formatErr: 'The input format is incorrect',
    int: 'Number',
    max: 'The max value is {0}',
    min: 'The min value is {0}',
    maxLen: 'Enter up to {0} character',
    minLen: 'Enter a minimum of {0} character',
    hexadecimal: 'Please enter hexadecimal digits',
    idCard: {
      format: 'The ID card is wrong in length or format',
      area: 'The ID area is illegal',
      birth: 'The date of birth on the ID card is illegal',
      error: 'The ID number is illegal',
    },
    username: [
      'The username consists of letters, numbers, and is between 4-16 in length',
      "Usernames cannot be underscored '_'",
      'Usernames cannot contain spaces',
    ],
    name: 'The name consists of Chinese characters or letters and is no more than 10 in length',
  };

  http = {
    unPermission: 'You do not have access yet, please contact your administrator to add it',
    noPermission: 'This permission is not yet open, do not access without permission',
    error: 'Network error',
    downFail: 'Download failed with network abnormality！',
  };

  preMenu = {
    operator: ['Buffer', 'Config', 'Dictionary', 'Permission', 'Role', 'Status', 'Log'],
  };

  log = {
    title: 'Action log list',
    prop: ['Sequence', 'Action user', 'Log module', 'Action type', 'Action time', 'Login IP', 'Log content'],
    start: 'Start time',
    stop: 'Stop time',
  };

  dict = {
    title: 'Dictionary manage',
    name: ' type/dictionary',
    prop: ['Name', 'Code', 'Description', 'Status', 'Action'],
    example: ['Type name(Fuzzy queries)', 'Type code', 'Status'],
    delete: ['Confirm whether to delete the dictionary/dictionary type (deleting a dictionary type deletes all dictionaries under that type)?', 'Tips'],
  };

  permission = {
    title: 'Permission manage',
    name: 'permission',
    parent: 'Permission parent',
    prop: ['Name', 'Code', 'Icon', 'Level', 'Priority', 'Status', 'Content', 'Action'],
    example: ['Permission code'],
    delete: ['Are you sure you want to remove the permission?', 'Tips'],
  };

  role = {
    title: 'Role manage',
    name: 'role',
    prop: ['Code', 'Name', 'Remark', 'Status', 'Action'],
    setPer: ['Assign permissions'],
    delete: ['Are you sure you want to remove the role?', 'Tips'],
  };

  user = {
    title: 'User manage',
    name: 'user',
    prop: ['Username', 'Password', 'Role', 'Name', 'Phone', 'IdCard', 'Email', 'Action'],
    delete: ['Are you sure you want to remove the user?', 'Tips'],
    reset: ['Reset password', 'Are you sure you want to reset the password of this user to the default password "abcd1234"?', 'Tips'],
  };

  buffer = {
    title: 'Cache manage',
    clean: 'Clear the invalid cache',
    modify: 'Modify the expiration date',
    prop: ['Value', 'Key', 'Effective', 'Expiration time', 'Action'],
    delete: ['Are you sure you want to delete this cache?', 'Tips'],
    delay: ['Please enter an expiration time(yyyy-MM-dd HH:mm:ss)', 'Modify'],
  };

  config = {
    title: 'Config manage',
    name: 'config',
    prop: ['Key', 'Name', 'Value', 'Type', 'Descript', 'Status', 'Last Time', 'Last User', 'Action'],
  };
}
