import { createI18n } from 'vue3-i18n';
import Zh from './zh';
import En from './en';

const messages = {
  zh: new Zh(),
  en: new En(),
};
const i18n = createI18n({
  locale: 'zh',
  messages,
});
const registerLang = (name, data) => {
  messages[name] = data;
};

export { i18n, Zh, En, registerLang };
